
textures/ut4_ss_b1/duck_flypoint
{
	qer_editorimage textures/ut4_ss_b1/duck_green_arrow.tga
	q3map_surfacelight 125
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes move 0 0 4 sin 0 1 0 .5
	deformVertexes bulge 4 4 1
	deformVertexes autosprite2
	qer_trans 0.5

	cull none
	sort 15

	{
		map textures/ut4_ss_b1/duck_green_arrow.tga
		blendfunc add
		tcmod scale 1 1
		tcMod scroll 0 2.75
		rgbgen wave sawtooth 1 .75 .5 1
		alphaFunc GE128
	}
	{
		map textures/ut4_ss_b1/duck_green_arrow.tga
		blendfunc filter
		tcmod scale 1 1
		tcMod scroll 0 4
		rgbgen wave triangle 1 .5 0 1
		alphaFunc GE128
	}
}


// Animated version of levelshot
levelshots/ut4_ss_b1
{
	nopicmip
	{
		animmap .325 textures/ut4_ss_b1/levelshot/seq1.tga textures/ut4_ss_b1/levelshot/seq2.tga textures/ut4_ss_b1/levelshot/seq3.tga textures/ut4_ss_b1/levelshot/seq4.tga textures/ut4_ss_b1/levelshot/seq5.tga textures/ut4_ss_b1/levelshot/seq6.tga textures/ut4_ss_b1/levelshot/seq7.tga textures/ut4_ss_b1/levelshot/seq8.tga
	}
	{
		map textures/ut4_ss_b1/levelshot/ut4_ss_b1_foreground.tga
		blendfunc gl_one gl_src_alpha
		depthfunc equal
	}
}


// fixes a strange light bleed caused by -super 3. Apply in func_group with key _shader. Seals a room from light bleed
// that should not exist.
textures/ut4_ss_b1/q3map_nonplanar
{
	q3map_nonPlanar
}


textures/ut4_ss_b1/duck_noimpact
{
	qer_editorimage textures/common/nolightmap.tga
        surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm nonsolid
}




textures/ut4_ss_b1/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut4_ss_b1/watercaulk.tga
	qer_nocarve

	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water

}


textures/ut4_ss_b1/ladderclip
{
	qer_editorimage textures/ut4_ss_b1/ladderclip
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}




// workaround for ase model clipping
textures/ut4_ss_b1/ase_clip
{
	qer_trans 0.40
	qer_editorimage textures/ut4_ss_b1/editor/128x128_editor-overlay.tga

	surfaceparm nodraw
	surfaceparm playerclip
	surfaceparm nolightmap
	surfaceparm trans
}


textures/ut4_ss_b1/portal_camera
{

	qer_editorimage textures/ut4_ss_b1/security_monitor.tga
	q3map_lightimage textures/ut4_ss_b1/ugly_green.jpg
	q3map_surfacelight 1200
	portal
//	surfaceparm nolightmap


	{
		map textures/ut4_ss_b1/ugly_green.jpg
		blendFunc filter
		depthWrite
	}
	{
		map textures/ut4_ss_b1/ugly_green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 256
		rgbGen identityLighting	
	}
	{
		map textures/ut4_ss_b1/security_monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}

}


textures/ut4_ss_b1/dead_monitor
{

	qer_editorimage textures/ut4_ss_b1/security_monitor.tga
	q3map_surfacelight 1400

	{
		map textures/ut4_ss_b1/ugly_green.jpg
		rgbgen identity
	}
	{
		map textures/ut4_ss_b1/static.tga
		tcmod rotate 2
		blendfunc filter
	}
	{
		map textures/ut4_ss_b1/static.tga
		tcmod scroll 16.4 -1.35
		blendfunc filter
	}
	{
		map textures/ut4_ss_b1/static.tga
		tcmod scroll -16.3 1.4
		blendfunc add
	}
	{
		map textures/ut4_ss_b1/security_monitor.tga
		blendfunc blend
	}
	{
		map textures/ut4_ss_b1/black_slick.jpg
		tcGen environment
		blendfunc add
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}
