
// fake lit grass
textures/ut4_ss_b1/grass
{

	surfaceparm nolightmap

	qer_editorimage textures/ut4_ss_b1/grass1.tga
	q3map_bouncescale 0.1

	{
		map textures/ut4_ss_b1/dtsub_grass_chemlawn.jpg
		tcmod scale .7 .7
	}
	{
		map textures/ut4_ss_b1/grass1.tga
		tcmod scale 1 1
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_ss_b1/grass1.tga
		tcmod scale .6 .6
		blendfunc gl_one gl_src_color
	}
	{
		map textures/ut4_ss_b1/skylight_color.tga
		blendfunc gl_dst_color gl_zero
	}
}


// same just no lightmap overlay at all
textures/ut4_ss_b1/grass_nolightmap
{

	surfaceparm nolightmap

	qer_editorimage textures/ut4_ss_b1/grass1.tga
	q3map_bouncescale 0.1

	{
		map textures/ut4_ss_b1/dtsub_grass_chemlawn.jpg
		tcmod scale .7 .7
	}
	{
		map textures/ut4_ss_b1/grass1.tga
		tcmod scale 1 1
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_ss_b1/grass1.tga
		tcmod scale .6 .6
		blendfunc gl_one gl_src_color
	}
}


textures/ut4_ss_b1/grass_lightmap
{

	qer_editorimage textures/ut4_ss_b1/grass1.tga
	q3map_bouncescale 0.1

	{
		map textures/ut4_ss_b1/dtsub_grass_chemlawn.jpg
		tcmod scale .7 .7
	}
	{
		map textures/ut4_ss_b1/grass1.tga
		tcmod scale 1 1
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_ss_b1/grass1.tga
		tcmod scale .6 .6
		blendfunc gl_one gl_src_color
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}


// lightmap lit grass
textures/ut4_ss_b1/grass2
{

	qer_editorimage textures/ut4_ss_b1/grass1.tga
	q3map_bouncescale 0.25

	{
		map textures/ut4_ss_b1/dtsub_grass_chemlawn.jpg
		tcmod scale .7 .7
	}
	{
		map textures/ut4_ss_b1/grass1.tga
		tcmod scale 1 1
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


// lucious grass
textures/ut4_ss_b1/grass3
{
	qer_editorimage textures/ut4_ss_b1/editor/128x128_editor-overlay.tga
//	qer_editorimage textures/ut4_ss_b1/grass1.tga
	q3map_bouncescale 0.125
	q3map_cloneshader textures/wily_grass/grass4_surf
	q3map_offset 2

	sort 9
//	cull none
//	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm alphashadow
	

	{
		map textures/wily_grass/grass_mulch.tga
		tcmod scale .875 .6875
///		blendfunc gl_dst_color gl_src_color
		blendfunc gl_dst_color gl_src_alpha
		alphafunc lt128
		depthwrite
	}
	{
		map textures/wily_grass/grass_park2.tga
		tcmod scale .69 .9
//		blendfunc gl_dst_color gl_src_color
		blendfunc gl_dst_color gl_src_alpha
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen const ( .9 .95 .25 )
		depthfunc equal
	}

}



// q3ase render
textures/ut4_ss_b1/grass3b
{
	qer_editorimage textures/ut4_ss_b1/editor/128x128_editor-overlay.tga
//	qer_editorimage textures/ut4_ss_b1/grass1.tga
	q3map_bouncescale 0.125
	q3map_cloneshader textures/wily_grass/grass1_surf
	q3map_offset 3

	surfaceparm trans
	surfaceparm alphashadow

	sort 13

//	{
//		map textures/wily_grass/grass_cut.tga
//		blendfunc gl_dst_color gl_src_color
//		alphaFunc GE128
//	}
	{
		map textures/wily_grass/grass_chemlawn.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scale 1.6 1.6
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


// lucious grass
textures/ut4_ss_b1/grass3c
{
	qer_editorimage textures/ut4_ss_b1/editor/128x128_editor-overlay.tga
//	qer_editorimage textures/ut4_ss_b1/grass1.tga
	q3map_bouncescale 0.125
	q3map_cloneshader textures/wily_grass/grass1_surf
	q3map_offset 2

	sort 13
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/ut4_ss_b1/grass1.tga
///		blendfunc gl_dst_color gl_src_color
///		alphafunc lt128
		alphafunc ge128
	}
	{
		map textures/ut4_ss_b1/dtsub_grass_chemlawn.jpg
		tcmod scale 1.25 1.25
		alphafunc ge128
//		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}

}



// vertex lit grass
textures/ut4_ss_b1/grass4
{

	qer_editorimage textures/ut4_ss_b1/grass1.tga
	q3map_bouncescale 0.25

	surfaceparm nolightmap

	{
		map textures/ut4_ss_b1/dtsub_grass_chemlawn.jpg
		tcmod scale .7 .7
	}
	{
		map textures/ut4_ss_b1/grass1.tga
		tcmod scale 1 1
		blendfunc gl_dst_color gl_src_color
		rgbgen vertex
	}
}



textures/ut4_ss_b1/grass_edge
{
	qer_trans 0.9
	qer_editorimage textures/wily_grass/grass_edge.tga
	surfaceparm trans
	surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm ladder
	surfaceparm nomarks

	nomipmaps
	cull none

	{
		map textures/wily_grass/grass_edge.tga
//		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc ge128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}

}



// -----------------
// q3a fur shader by boddo
// website: http://www.cyberpunkcafe.com/
// http://www.cyberpunkcafe.com/fur_shader/fur_tutorial.html
// -----------------
// Shader enhancements by wily duck.  http://gamedev.digitalamusement.com
//
// this first shader is the base shader (fur1_surf), and it is the only shader that you apply to your work.
// this shader will call on the fur layers on its own, fur1_p1
// fur1_p1 will call fur1_p2, and fur1_p2 will call fur1_p3.

// grass base shader //
textures/wily_grass_2010/grass1_surf
{
//	q3map_novertexshadows
//	q3map_vertexScale 2
	q3map_cloneShader textures/wily_grass_2010/grass1_p2
	q3map_bouncescale 0.125

	sort 9
//	nomipmaps
//	surfaceparm nolightmap

	{
		map textures/wily_grass_2010/grass_dark.tga
		tcmod scale .85 .85
		rgbGen vertex
//		map textures/wily_grass_2010/grass_surface4.tga
	}
//	{
//		map textures/wily_grass_2010/grass_green.tga
//		blendfunc gl_dst_color gl_zero
//	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

// fur offset layer one
textures/wily_grass_2010/grass1_p1
{
	q3map_novertexshadows
	q3map_vertexScale 2
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass_2010/grass1_p2
	q3map_offset .5

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow

	sort 10
	cull none
	{
		map textures/wily_grass_2010/grass_green.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_src_color
		alphaFunc GE128
//		depthWrite
//		rgbGen vertex
		tcmod scale .55 .5
	}
}

// fur offset layer two
textures/wily_grass_2010/grass1_p2
{
	q3map_novertexshadows
	q3map_vertexScale 2
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass_2010/grass1_p3
	q3map_offset 1

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow

	sort 11
	cull none
	{
		map textures/wily_grass_2010/grass_dark.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_src_alpha gl_src_color
//		blendfunc gl_dst_color gl_one
		alphaFunc GE128
//		rgbGen vertex
		tcmod scale .85 .8
	}
}

// fur offset layer three
textures/wily_grass_2010/grass1_p3
{
	q3map_novertexshadows
//	q3map_vertexScale 2
	q3map_offset 2
	q3map_bouncescale 0.125

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow

	sort 12
	cull none
	{
		map textures/wily_grass_2010/grass_green.tga
//		map textures/ut4_superman/grass_green.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_src_alpha gl_src_color
//		blendfunc filter
		alphaFunc lt128
		depthfunc equal
//		rgbGen vertex
		tcmod scale 1.1 1.15
	}
}


//////////////////////////////////////////////////////////////////////


textures/wily_grass_2010/grass3_surf
{
	q3map_bouncescale 0.125
	surfaceparm nolightmap
	sort 9

	q3map_novertexshadows
	q3map_vertexScale 4
	q3map_cloneShader textures/wily_grass_2010/grass3_p2
	{
		map textures/wily_grass_2010/grass_park.tga
//		rgbGen vertex
		rgbgen const ( .3 .25 .1 )
		depthwrite
	}
}

// fur offset layer one
textures/wily_grass_2010/grass3_p1
{
	q3map_novertexshadows
	q3map_vertexScale 4
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass_2010/grass3_p2
	q3map_offset 2

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 10
	cull none
	{
		map textures/wily_grass_2010/grass_dark.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_src_color
		alphaFunc ge128
		depthwrite
//		rgbGen vertex
		tcmod scale .925 .925
	}
}

// fur offset layer two
textures/wily_grass_2010/grass3_p2
{
	q3map_novertexshadows
	q3map_vertexScale 4
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass_2010/grass3_p3
	q3map_offset 1

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 11
	cull none
	{
		map textures/wily_grass_2010/grass_cut.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc blend
		alphaFunc lt128
		depthwrite
//		rgbGen vertex
		rgbgen const ( .2 .45 .15 )
		tcmod scale .85 .85
	}
}

// fur offset layer three
textures/wily_grass_2010/grass3_p3
{
	q3map_novertexshadows
	q3map_vertexScale 4
	q3map_offset 2
	q3map_bouncescale 0.125

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 12
	cull none
	{
//		map textures/wily_grass_2010/grass_cut.tga
		map textures/wily_grass_2010/grass_mulch.tga
		blendfunc blend
		alphaFunc lt128
		depthwrite
//		rgbGen vertex
		rgbgen const ( .2 .45 .15 )
		tcmod scale .8 .8
	}
}




//////////////////////////////////////////////////////////////////////


textures/wily_grass_2010/grass4_surf
{
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass_2010/grass4_p2

	surfaceparm nolightmap

	sort 6


	{
		map textures/wily_grass_2010/grass_park.tga
		rgbgen const ( .3 .25 .1 )
		depthwrite
	}
}

textures/wily_grass_2010/grass4_p2
{
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass_2010/grass4_p3
	q3map_offset 2

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 7
	cull none
	{
		map textures/wily_grass_2010/grass_cut.tga
		blendfunc blend
		alphaFunc lt128
		depthwrite
		rgbgen const ( .2 .45 .15 )
		tcmod scale .85 .85
	}
}

textures/wily_grass_2010/grass4_p3
{
	q3map_offset 2
	q3map_bouncescale 0.125

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 8
	cull none
	{
		map textures/wily_grass_2010/grass_mulch.tga
		blendfunc blend
		alphaFunc lt128
		depthwrite
		rgbgen const ( .2 .45 .15 )
		tcmod scale .8 .8
	}
}
