
// Duplicate a brush where the surfaces z-fight. Add this to the surface you want shadowed
textures/ut4_ss_b1/shadowmagic
{
	qer_trans 0.80
	qer_editorimage textures/ut4_ss_b1/editor/128x128_editor-overlay.tga

	surfaceparm trans
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm detail

	polygonOffset

	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
	}

}


//shader modified from realworld_light
textures/ut4_ss_b1/ceiling_light
{
	qer_editorimage textures/ut4_ss_b1/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/flouresc.tga
	q3map_surfacelight 7000

	{
		map textures/ut4_ss_b1/ceiling_light1.tga
	}
	{
		map textures/ut4_ss_b1/window_glare2.jpg
		blendfunc gl_dst_color gl_one
	}
}

textures/ut4_ss_b1/ceiling_light1
{
	qer_editorimage textures/ut4_ss_b1/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/flouresc.tga
	q3map_surfacelight 1000

	{
		map textures/ut4_ss_b1/ceiling_light1.tga
	}
}


//shader modified from realworld_light
textures/ut4_ss_b1/ceiling_light2
{
	qer_editorimage textures/ut4_ss_b1/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/halide.tga
	q3map_surfacelight 7500

	{
		map textures/ut4_ss_b1/ceiling_light1.tga
	}
}

// same as original, only 1000 light
textures/ut4_ss_b1/ceiling_light3
{
	qer_editorimage textures/ut4_ss_b1/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/flouresc.tga
	q3map_surfacelight 1000

	{
		map textures/ut4_ss_b1/ceiling_light1.tga
	}
	{
		map textures/ut4_ss_b1/window_glare2.jpg
		blendfunc gl_dst_color gl_one
	}
}

textures/ut4_ss_b1/ceiling_light_off
{
	qer_editorimage textures/ut4_ss_b1/ceiling_light1.tga

	{
		map textures/ut4_ss_b1/ceiling_light1.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_ss_b1/flouresc_light
{
	qer_editorimage textures/ut4_ss_b1/ceiling_light1.tga
	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/flouresc.tga
	surfaceparm nolightmap

	{
		map textures/ut4_ss_b1/white_light.jpg
		rgbGen identity
	}
}



// x-axis streets and y-axis streets
textures/ut4_ss_b1/stoplight_red_x
{
	qer_editorimage textures/ut4_ss_b1/streetlight_red.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga
		alphafunc gt0
	}
}
textures/ut4_ss_b1/stoplight_yellow_x
{
	qer_editorimage textures/ut4_ss_b1/streetlight_yellow.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow.tga
		alphafunc gt0
	}
}
textures/ut4_ss_b1/stoplight_green_x
{
	qer_editorimage textures/ut4_ss_b1/streetlight_green.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green_dim.tga 
		alphafunc gt0
	}
}

textures/ut4_ss_b1/stoplight_red_y
{
	qer_editorimage textures/ut4_ss_b1/streetlight_red.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga
		alphafunc gt0
	}
}
textures/ut4_ss_b1/stoplight_yellow_y
{
	qer_editorimage textures/ut4_ss_b1/streetlight_yellow.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga 
		alphafunc gt0
	}
}
textures/ut4_ss_b1/stoplight_green_y
{
	qer_editorimage textures/ut4_ss_b1/streetlight_green.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga 
		alphafunc gt0
	}
}




// x-axis streets and y-axis streets, second set
textures/ut4_ss_b1/stoplight_red_x2
{
	qer_editorimage textures/ut4_ss_b1/streetlight_red.tga
	surfaceparm nolightmap
	cull back
	polygonoffset
	{
		animmap .15	textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga
		alphafunc gt0
	}
}
textures/ut4_ss_b1/stoplight_yellow_x2
{
	qer_editorimage textures/ut4_ss_b1/streetlight_yellow.tga
	surfaceparm nolightmap
	cull back
	polygonoffset
	{
		animmap .15	textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga
		alphafunc gt0
	}
}
textures/ut4_ss_b1/stoplight_green_x2
{
	qer_editorimage textures/ut4_ss_b1/streetlight_green.tga
	surfaceparm nolightmap
	cull back
	polygonoffset
	{
		animmap .15	textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga
		alphafunc gt0
	}
}

textures/ut4_ss_b1/stoplight_red_y2
{
	qer_editorimage textures/ut4_ss_b1/streetlight_red.tga
	surfaceparm nolightmap
	cull back
	polygonoffset
	{
		animmap .15	textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red.tga textures/ut4_ss_b1/streetlight_red_dim.tga textures/ut4_ss_b1/streetlight_red_dim.tga 
		alphafunc gt0
	}
}
textures/ut4_ss_b1/stoplight_yellow_y2
{
	qer_editorimage textures/ut4_ss_b1/streetlight_yellow.tga
	surfaceparm nolightmap
	cull back
	polygonoffset
	{
		animmap .15	textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga textures/ut4_ss_b1/streetlight_yellow_dim.tga
		alphafunc gt0
	}
}
textures/ut4_ss_b1/stoplight_green_y2
{
	qer_editorimage textures/ut4_ss_b1/streetlight_green.tga
	surfaceparm nolightmap
	cull back
	polygonoffset
	{
		animmap .15	textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green_dim.tga textures/ut4_ss_b1/streetlight_green.tga textures/ut4_ss_b1/streetlight_green.tga
		alphafunc gt0
	}
}



textures/ut4_ss_b1/white_light
{
	qer_editorimage textures/ut4_ss_b1/white_light.jpg
	q3map_surfacelight 2000
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/ut4_ss_b1/white_light.jpg
		rgbGen identity
	}
}


textures/ut4_ss_b1/white_light2
{
	qer_editorimage textures/ut4_ss_b1/white_light.jpg
	q3map_surfacelight 10000
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/ut4_ss_b1/white_light.jpg
		rgbGen identity
	}
}


textures/ut4_ss_b1/white_light_bright
{
	qer_editorimage textures/ut4_ss_b1/white_light.jpg
	q3map_surfacelight 4000
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/ut4_ss_b1/white_light.jpg
		rgbGen identity
	}
}

