
textures/ut4_ss_b1/reflect_glass
{
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	sort additive
	portal
	qer_trans 0.5

	{
		map textures/ut4_ss_b1/ssfx.tga
		depthwrite
		tcGen environment
		blendfunc filter
	}
}


textures/ut4_ss_b1/shiny_glass1
{
	qer_editorimage textures/ut4_ss_b1/ssfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/ut4_ss_b1/ssfx.tga
		tcGen environment
		blendfunc filter
	}
}


textures/ut4_ss_b1/shiny_glass2
{
	qer_editorimage textures/ut4_ss_b1/ssfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm lightfilter

	sort 7

	{
		map textures/ut4_ss_b1/ssfx.tga
		tcGen environment
		blendfunc filter
	}
}


textures/ut4_ss_b1/shiny_glass3
{
	qer_editorimage textures/ut4_ss_b1/window_glare.jpg
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	sort 6

	{
		map textures/ut4_ss_b1/window_glare.jpg
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
}


textures/ut4_ss_b1/shiny_glass3_cusion
{
	qer_editorimage textures/ut4_ss_b1/window_glare.jpg
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nodamage

	{
		map textures/ut4_ss_b1/window_glare.jpg
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
}


textures/ut4_ss_b1/glassbreak_cusion
{
	qer_editorimage textures/ut4_ss_b1/window_glare.jpg
	qer_trans 0.7
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nodraw

}


textures/ut4_ss_b1/water_glass1
{
	qer_editorimage textures/ut4_ss_b1/editor/duck_pool2.tga
//	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphashadow

	sort 6

	{
		map textures/ut4_ss_b1/ssfx.tga
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_ss_b1/duck_pool2.tga
		tcMod turb 1 0.1 1 0.05
		blendfunc add
		tcMod scroll 0.05 -0.3
	}
	{
		map textures/ut4_ss_b1/duck_pool2.tga
		tcMod turb 1 0.11 1 0.07
		blendfunc add
		tcMod scroll 0.05 -0.8
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}


textures/ut4_ss_b1/doom_glass
{
	qer_editorimage textures/ut4_ss_b1/duck_skybuildingtop1.tga
	surfaceparm nodamage
	{
		map textures/ut4_ss_b1/duck_skybuildingtop1a.tga
	}
        {
		map textures/ut4_ss_b1/water_clouds.jpg
		blendfunc gl_dst_color gl_zero
		tcMod scale .5 .5
		tcgen environment
        }
	{
		map textures/ut4_ss_b1/duck_skybuildingtop1a.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthFunc equal
	}
}



textures/ut4_ss_b1/doom_glass_dark
{
	qer_editorimage textures/ut4_ss_b1/towerwall05_5.tga
	surfaceparm nodamage
	{
		map textures/ut4_ss_b1/towerwall05_5.tga
	}
        {
//		map textures/ut4_ss_b1/water_clouds.jpg
		map textures/ut4_ss_b1/blue_water1c.tga
		blendfunc gl_dst_color gl_zero
		tcMod scale .5 .5
		tcgen environment
        }
	{
		map textures/ut4_ss_b1/towerwall05_5.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthFunc equal
	}
}





textures/ut4_ss_b1/impendingdoom1
{
	qer_editorimage textures/ut4_ss_b1/impendingdoom1.jpg
	nomipmaps

	{
		map textures/ut4_ss_b1/impendingdoom1.jpg
	}
	{
		map textures/ut4_ss_b1/window_glare2.jpg
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}

}


textures/ut4_ss_b1/pond_glass
{
	qer_editorimage textures/ut4_ss_b1/pond_window.tga

	{
		map textures/ut4_ss_b1/pond_window.tga
	}
        {
//		map textures/ut4_ss_b1/water_clouds2.jpg
		map textures/ut4_ss_b1/blue_water1d.tga
		blendfunc gl_dst_color gl_zero
		tcMod scale .5 .5
		tcgen environment
        }
	{
		map textures/ut4_ss_b1/pond_window.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthFunc equal
	}
}
