
textures/ut4_ss_b1/blue_water1
{
	q3map_cloneshader textures/ut4_ss_b1/supersoldier_water_reglow_assist2

	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.3

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter

	{
		map textures/ut4_ss_b1/blue_water1d.tga
		blendfunc filter
		tcMod turb 1 0.1 1 0.05
		tcMod scroll 0.005 0.005
	}
        {
		map textures/ut4_ss_b1/water_clouds2.jpg
		blendfunc filter
		tcMod turb 1 0.1 1 0.01
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.00511
        }
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		tcmod scale .2 .2
		tcmod scroll .005 .006
		tcGen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_ss_b1/blue_water1-noreglow
{
	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.3

	q3map_fancywater 10 0.85 0.8 0.75

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks

//	cull none

	{
		map textures/ut4_ss_b1/blue_water1d.tga
		blendfunc filter
//		tcMod scale 2 2
		tcMod scale 4 4
		tcMod turb 1 0.1 1 0.04
		tcMod scroll 0.005 0.005
	}
        {
		map textures/ut4_ss_b1/water_clouds2.jpg
		blendfunc filter
//		blendfunc gl_dst_color gl_src_color
		tcMod turb 1 0.1 1 0.02
//		tcMod scale 1.6 1.6
		tcMod scale 2.6 2.6
		tcMod scroll 0.01 0.00511
        }
	{
		map textures/ut4_ss_b1/blue_water1d.tga
//		map textures/ut4_ss_b1/window_glare2.jpg
		tcmod scale .22 .22
		tcmod scroll .005 .006
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}


// waterfall
textures/ut4_ss_b1/blue_water2
{
	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.3

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter
//	surfaceparm nomarks

	sort 7
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		blendfunc gl_dst_color gl_src_color
		tcMod turb 1 0.1 1 0.05
		tcMod scroll 0.47 0.51
	}
        {
		map textures/ut4_ss_b1/blue_water1d.tga
		blendfunc gl_dst_color gl_src_color
		tcMod turb 1 0.1 1 0.07
		tcMod scroll 0.51 0.47
        }
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll 0.6 0.6
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_ss_b1/blue_water3
{
	q3map_cloneshader textures/ut4_ss_b1/supersoldier_water_reglow_assist2

	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.3

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter
//	surfaceparm nomarks

//	tesssize 16
//	deformvertexes wave 16 sin 0 1 0 1

	{
		map textures/ut4_ss_b1/blue_water1d.tga
		blendfunc gl_dst_color gl_one
		tcMod scale 4 4
		tcMod scroll 0.03 0.03
	}
        {
		map textures/ut4_ss_b1/water_clouds2.jpg
		blendfunc gl_dst_color gl_src_color
		tcMod scale 4 4
		tcMod scroll 0.02 0.02
        }
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


textures/ut4_ss_b1/blue_water4
{
	q3map_cloneshader textures/ut4_ss_b1/supersoldier_water_reglow_assist2

	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.3

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter

	{
		map textures/ut4_ss_b1/blue_water1d.tga
		blendfunc filter
		tcMod scale .5 .5
		tcMod scroll 0.025 0.025
	}
        {
		map textures/ut4_ss_b1/water_clouds2.jpg
		blendfunc gl_dst_color gl_zero
		tcMod scale .5 .5
		tcMod scroll 0.0019 0.020
        }
	{
		map $lightmap
		blendfunc filter
	}
}


// waterfall2
textures/ut4_ss_b1/blue_water5
{
	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.7

	q3map_cloneshader textures/ut4_ss_b1/blue_water5c

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter
//	surfaceparm nomarks

	sort 7
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc ge128
		blendfunc add
		tcMod turb 1 0.1 1 0.05
		tcmod scale 1 1
		tcMod scroll 1.47 1.61
		depthWrite
	}
        {
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc lt128
		blendfunc gl_dst_color gl_src_color
		tcMod turb 1 0.1 1 0.07
		tcmod scale 1 1
		tcMod scroll 1.61 1.47
		depthWrite
        }
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc ge128
		blendfunc filter
		tcmod scale 1 1
		tcMod scroll 1.5 1.5
		depthWrite
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		depthWrite
		depthfunc equal
	}
}


// waterfall2 with higher sort
textures/ut4_ss_b1/blue_water5b
{
	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.7

	q3map_cloneshader textures/ut4_ss_b1/blue_water5c

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter
//	surfaceparm nomarks

	sort 7
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc ge128
		blendfunc add
		tcMod turb 1 0.1 1 0.05
		tcmod scale 1 1
		tcMod scroll 1.37 1.41
		depthWrite
	}
        {
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc lt128
		blendfunc gl_dst_color gl_src_color
		tcMod turb 1 0.1 1 0.07
		tcmod scale 1 1
		tcMod scroll 1.41 1.37
		depthWrite
		depthfunc equal
        }
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc ge128
		blendfunc filter
		tcmod scale 1 1
		tcMod scroll 1.5 1.5
		depthWrite
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		depthWrite
		depthfunc equal
	}
}


// waterfall backshader
textures/ut4_ss_b1/blue_water5c
{
	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.7

	q3map_lightimage textures/ut4_ss_b1/blue_water1d.tga
	q3map_surfacelight 75
	q3map_invert

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
	surfaceparm lightfilter
//	surfaceparm nomarks

	cull none
	sort 6
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc ge128
		blendfunc add
		tcMod turb 1 0.1 1 0.05
		tcmod scale 1 1
		tcMod scroll 1.37 1.51
	}
        {
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc lt128
		blendfunc gl_dst_color gl_src_color
		tcMod turb 1 0.1 1 0.07
		tcmod scale 1 1
		tcMod scroll 1.51 1.37
        }
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		alphafunc ge128
		blendfunc filter
		tcmod scale 1 1
		tcMod scroll 1.6 1.6
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


textures/ut4_ss_b1/blue_water6
{
//	q3map_cloneshader textures/ut4_ss_b1/supersoldier_water_reglow_assist2

	qer_editorimage textures/ut4_ss_b1/blue_water1-editor.jpg
	qer_nocarve
	qer_trans 0.3

	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
//	surfaceparm nomarks

	{
		map textures/ut4_ss_b1/water_clouds3.jpg
		blendfunc filter
		tcMod turb 1 0.1 1 0.02
		tcMod scroll 0.005 0.005
	}
        {
		map textures/ut4_ss_b1/water_clouds2.jpg
		blendfunc add
		tcMod turb 1 0.1 1 0.01
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.00511
        }
	{
		map textures/ut4_ss_b1/water_clouds3.jpg
		tcmod scale .1 .1
		tcmod scroll .005 .006
		tcGen environment
		blendfunc filter
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/ut4_ss_b1/black_water1_solid
{

	qer_editorimage textures/ut4_ss_b1/marble18.tga
	qer_nocarve

	surfaceparm nodamage
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/ut4_ss_b1/marble18.tga
	}
	{
		map textures/ut4_ss_b1/blue_water1d.tga
		tcmod scale .75 .75
		tcmod scroll .005 .006
		tcGen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map $lightmap
		blendfunc filter
	}
}



// stolen from supersoldier
textures/ut4_ss_b1/supersoldier_water_reglow2
{

	qer_editorimage textures/ut4_ss_b1/blue_water1.jpg
	qer_trans 0.5
	surfaceparm trans
	surfaceparm water
	deformvertexes wave 1024 sin 0 1 0 .75
	tesssize 1024
	{
		map textures/ut4_ss_b1/water_clouds.jpg
		tcgen environment
		blendfunc filter
		tcMod turb 0 0.12 0.08 0.08
		tcmod scale .5 .5
		tcmod scroll .01 .05
	}
	{
		map textures/ut4_ss_b1/blue_water1c.tga
		tcmod scroll -0.01 -0.01
		blendfunc gl_dst_color gl_one
		tcmod scale .25 .25
	}
	{
		map textures/ut4_ss_b1/water_clouds.jpg
		tcMod scroll .01 -.015
		tcmod scale .1 .1
		blendfunc add
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}

}


// waves
textures/ut4_ss_b1/supersoldier_water_reglow_assist2
{
	q3map_lightimage textures/ut4_ss_b1/water_undercolor.tga
	q3map_surfacelight 20
	q3map_invert

	surfaceparm water
	surfaceparm trans
	sort 12

	{
// old		map textures/ut4_ss_b1/blue_water1c.tga
// new
		map textures/ut4_ss_b1/blue_water1d.tga
		tcMod turb 0 0.1 0.05 0.075
		tcMod scroll 0.01 0.01
		rgbgen const ( .7 .7 .75 )
		blendfunc gl_zero gl_src_color
//		blendfunc filter
	}
	{
// old
		map textures/ut4_ss_b1/water_clouds2.jpg
//		map textures/ut4_ss_b1/blue_water1c.tga
// new		map textures/ut4_ss_b1/blue_water1d.tga
		tcMod turb 0 0.1 0.05 0.075
		tcMod scroll 0.02 0.02
// new		blendfunc filter
//		blendfunc gl_dst_color gl_src_color
// old
		blendfunc gl_dst_color gl_one
	}
        {
		map textures/ut4_ss_b1/window_glare2.jpg
		tcgen environment
		tcmod scale .5 .5
		tcmod scroll .0015 .0075
		blendfunc gl_dst_color gl_one
        }
	{
		map $lightmap 
		blendfunc filter
	}

}
